Name:           gmpc
Summary:        GNOME frontend for the MPD
Version:        0.13.0
Release:        1%{?dist}

License:        GPL
Group:          Applications/Multimedia
URL:            http://sarine.nl/gmpc
Source0:        http://download.qballcow.nl/programs/gmpc-0.13/gmpc-0.13.0.tar.gz
Source1:        http://download.qballcow.nl/programs/gmpc-0.13/Plugins/gmpc-autoplaylist-0.1.0.tar.gz
Source2:        http://download.qballcow.nl/programs/gmpc-0.13/Plugins/gmpccaa-0.1.0.tar.gz
Source3:        http://download.qballcow.nl/programs/gmpc-0.13/Plugins/gmpcmdcover-0.1.0.tar.gz
Source4:        http://download.qballcow.nl/programs/gmpc-0.13/Plugins/gmpcosd-0.1.0.tar.gz
Source5:        http://download.qballcow.nl/programs/gmpc-0.13/Plugins/gmpcstream-0.1.0.tar.gz
Patch0:         gmpc-lib-plugins.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scrollkeeper, gtk2-devel, libglade2-devel
BuildRequires:  gettext, gnome-vfs2-devel, desktop-file-utils
BuildRequires:  perl-XML-Parser, libmpd-devel, findutils
BuildRequires:  curl-devel, xosd-devel

%description
Gmpc is a GNOME client for the Music Player Daemon
Features :
 * Support for loading/saving playlists.
 * File Browser
 * Browser based on ID3 information. (on artist and albums)
 * Search
 * Current playlist viewer with search.
 * ID3 information
 * Lots more

%package devel
Summary:  Development files for gmpc
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files necessary for developing gmpc plugins.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5
# this patch adds %{_libdir}/gmpc/plugins to the plugins search path
%patch0
sed -i -e 's,@@PLUGINS_PATH@@,"%{_libdir}/%{name}",g' src/main.c


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags} LDFLAGS=-Wl,--export-dynamic
ln -s src gmpc
export PKG_CONFIG_PATH="$PWD/data"
export CFLAGS="-I$PWD"
for i in gmpc-autoplaylist-0.1.0 gmpccaa-0.1.0 gmpcmdcover-0.1.0 gmpcosd-0.1.0 gmpcstream-0.1.0; do
	pushd $i
	%configure
	make %{?_smp_mflags}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# this is the default search path
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
# rpmlint complains if arch-dependent files are in %{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

for i in gmpc-autoplaylist-0.1.0 gmpccaa-0.1.0 gmpcmdcover-0.1.0 gmpcosd-0.1.0 gmpcstream-0.1.0; do
	pushd $i
	find . -name *so -exec cp {} $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins \;
	popd
done
install -p -D gmpc-autoplaylist-0.1.0/glade/apl.glade $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/apl/apl.glade
install -p -D gmpcstream-0.1.0/data/osb.glade $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/osb/osb.glade

%find_lang %{name}

desktop-file-install  --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT%{_datadir}/applications/gmpc.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/pixmaps/*

%files devel
%defattr(0644,root,root,755)
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Dec 09 2006 Adrian Reber <adrian@lisas.de> - 0.13.0-1
- updated to 0.13.0
- created devel package for header files
- removed X-Fedora from desktop-file-install
- added some plugins and moved the plugins to %%{_libdir}/%%{name}/plugins

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-6
- BR: perl-XML-Parser

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-5
- rebuild

* Thu Mar 23 2006 Jonathan Dieter <jdieter99[AT]gmx.net> 0.11.2-4
- fix dynamic linking bug

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-3
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.2-0.fdr.1
- initial Fedora release (from Mandrake)
